gdk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object A utility class that contains methods that operate on Event classes. This class contains static methods.
- Constructor
  This constructor is never used.
  This class contains only static methods, and this constructor should never be used.
- Method
  Gdk.Event `` The to copy. Copies a . The copied . None.
- Method
  System.Void `` to free. Frees a . This should only be called with events returned from functions such as , , and .
- Method
  Gdk.Event Checks all open displays for a to process, fetching events from the windowing system if necessary. See . The next to be processed, or null if no events are pending. The returned should be freed with . None.
- Method
  System.Boolean `` `` `` A The axis use to look for. The value found. Extract the axis value for a particular axis use from an event. True if the specified axis was found, otherwise false. None.
- Method
  System.Boolean `` `` `` A Event window x coordinate. Event window y coordinate. Extract the event window relative x/y coordinates from an event. True if the event delivered event coordinates. None.
- Method
  Gdk.Device `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` A Root window x coordinate. Root window y coordinate. Extract the root window relative x/y coordinates from an event. True if the event delivered root window coordinates. None.
- Method
  Gdk.Screen `` A Returns the screen for the event. The screen is typically the screen for , but for events such as mouse events, it is the screen where the pointer was when the event occurs. The for the event. To be added
- Method
  Gdk.Device `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` A or null. The of the event. If the event contains a "state" field, puts that field in state. Otherwise stores an empty state (0). True if there was a state field in the event. To be added
- Method
  System.UInt32 `` A Returns the time stamp from event, if there is one. Otherwise returns the current time. If event is null, returns the current time.. Time stamp field from event. None.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  Gdk.Event `` A Creates a new event of the given type. All fields are set to 0. A The returned event should be freed with .
- Method
  Gdk.Event If there is an event waiting in the event queue of some open display, returns a copy of it. See . A copy of the first on some event queue, or null if no events are in any queues. The returned should be freed with .
- Method
  System.Void `` A Appends a copy of the given event onto the front of the event queue for 's display, or the default queue if that window is null. See . None.
- Method
  System.Void `` A MotionNotify event. Requests additional motion notify events.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` A A Sets the screen for event to screen. The event must have been allocated by GTK+, for instance, by . None.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.